There are currently no open bugs.

"petsc" versions published in Ubuntu

Jammy (3.15.5+dfsg1-1): universe/devel
Impish (3.14.5+dfsg1-4): universe/devel
Hirsute (3.14.5+dfsg1-2): universe/devel
Focal (3.12.4+dfsg1-1): universe/devel
Bionic (3.7.7+dfsg1-2build5): universe/devel
Xenial (3.6.2.dfsg1-3ubuntu1): universe/devel
Trusty (3.4.2.dfsg1-6): universe/devel